Package org.gradle.api.plugins

# Class JvmToolchainsPlugin

java.lang.Object
org.gradle.api.plugins.JvmToolchainsPlugin

All Implemented Interfaces:
  `Plugin<Project>`

@Incubating public abstract class JvmToolchainsPlugin extends Object implements Plugin<Project>
A plugin that provides JVM toolchains for projects that need to execute Java from local JVM installations or run the tools included in a JDK. The plugin makes `JavaToolchainService` available via a project extension.

Since:
  7.6

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `JvmToolchainsPlugin(org.gradle.jvm.toolchain.internal.JavaToolchainQueryService javaToolchainQueryService)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `apply(Project target)`
  Apply this plugin to the given target object.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### JvmToolchainsPlugin

    @Inject public JvmToolchainsPlugin(org.gradle.jvm.toolchain.internal.JavaToolchainQueryService javaToolchainQueryService)

- ## Method Details

  - ### apply

    public void apply(Project target)
    Description copied from interface: `Plugin`
    Apply this plugin to the given target object.
    Specified by:
      `apply` in interface `Plugin<Project>`
    Parameters:
      `target` - The target object